Firefox & Thunderbird 24!

Last update on Nov. 14, 2013.

Firefox & Thunderbird 24!

Firefox 24 ESR and Thunderbird 24 packages have been added to the Kwheezy repository.

The default Firefox and Thunderbird are still at version 17 and have been updated to the latest security fix (17.0.10). These packages are in addition to firefox-esr and thunderbird-esr and will replace them if you choose to install them.

The packages are available from Apper or apt-get and are named:

  • firefox-24-esr   +   optional firefox-24-esr-languages (for non-English languages)
  • thunderbird-24   +   optional thunderbird-24-languages (for non-English languages)

Note: Thunderbird 24 and above will no longer have seperate Stable & ESR releases. Therefore Thunderbird 24.0.1 is considered an ESR, since there will be no more development in Thunderbird for the forseable future. I believe this is due to the development of Firefox OS needing more attention.

Non-English speaking users may need to install the languages package (above) and may also need to re-enable them in the Addons section.

Enjoy!

Next entry

Previous entry

Similar entries

Comments

  1. Cris on 10/30/2013 6:20 p.m. #

    Installation without any problem, Firefox 24 and Thunderbird 24 work really well.

Comments are closed.

Pingbacks

Pingbacks are closed.